Bug 241286 - Adopt SPI to get default content of Launch Services database
Summary: Adopt SPI to get default content of Launch Services database
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: Safari 15
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Per Arne Vollan
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-06-03 14:30 PDT by Per Arne Vollan
Modified: 2022-06-14 11:03 PDT (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Per Arne Vollan 2022-06-03 14:30:21 PDT
Adopt SPI to get system content of Launch Services database. If this SPI is available, it will replace the SPI we currently use  to retrieve the database in the Network process.
Comment 1 Per Arne Vollan 2022-06-03 14:32:15 PDT
<rdar://64528683>
Comment 2 Per Arne Vollan 2022-06-03 14:36:02 PDT
Pull request: https://github.com/WebKit/WebKit/pull/1289
Comment 3 EWS 2022-06-09 10:16:47 PDT
Committed r295422 (251428@main): <https://commits.webkit.org/251428@main>

Reviewed commits have been landed. Closing PR #1289 and removing active labels.
Comment 4 Per Arne Vollan 2022-06-14 07:13:06 PDT
Re-opening for pull request https://github.com/WebKit/WebKit/pull/1501
Comment 5 EWS 2022-06-14 11:03:06 PDT
Committed r295528 (251533@main): <https://commits.webkit.org/251533@main>

Reviewed commits have been landed. Closing PR #1501 and removing active labels.